Bug 1789940 - Review Request: Pound - Reverse proxy and load balancer
Summary: Review Request: Pound - Reverse proxy and load balancer
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-10 19:10 UTC by Breno
Modified: 2021-03-30 12:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-30 12:52:39 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Breno 2020-01-10 19:10:28 UTC
Spec URL: https://src.fedoraproject.org/fork/brandfbb/rpms/Pound/tree/epel8
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/brandfbb/Pound-2.8-patrodyne/srpm-builds/01139381/Pound-2.8-1.el8.src.rpm
Description: 

The package Pound was retired about a year ago. It failed to build and at that time the maintainer didn't give any feedback on it[1].

Since then, the Pound project was forked and has been maintained[2].
I would like to maintain the package in EPEL.
I've made some tests and I believe I have a working spec file for it.
It was also tested against koji, epel 8 playground [3].

I am now following the Claiming Ownership of a Retired Package procedure.

I am in the packager group, sponsored by nirik and my mentor is smooge.


Thanks.

1 - https://bugzilla.redhat.com/show_bug.cgi?id=1674583
2 - https://github.com/patrodyne/pound
3 - https://koji.fedoraproject.org/koji/taskinfo?taskID=40203731

Fedora Account System Username:brandfbb

Comment 1 Robert-André Mauchin 🐧 2020-01-12 21:20:17 UTC
 - Why the Epoch?

 - Why no parallel building?

make all → %make_build all

 - make install DESTDIR=%{buildroot} → %make_install

 - Don't use %{__install}, macro prefixed by __ are generally for rpm private use

 - Please be more descriptive for the service description: 

"Pound user" → "User for the Pound reverse proxy and load balancer"

 - Why is there this stuff:

Requires(post):   systemd-sysv
Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units

 You just need BuildRequires: systemd-rpm-macros for Fedora.
 Not sure what it is on EPEL8, test BuildRequires: systemd-rpm-macros first then if not available use BuildRequires: systemd-devel

 - https://www.apsis.ch/pound/ is 403? Isn't there another official site? Using the fork as main page may be better: https://github.com/patrodyne/pound

 - License seems to include an exception:

License:     GPLv3 with exceptions

 - License mist be included with %license not %doc:

%files
%doc CHANGELOG FAQ README.md
%license GPL.txt

Comment 2 Robert-André Mauchin 🐧 2020-01-12 21:21:11 UTC
Disregards the Epoch comment.

Comment 3 Breno 2020-01-13 20:16:08 UTC
Spec URL: https://src.fedoraproject.org/fork/brandfbb/rpms/Pound/tree/epel8
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/brandfbb/Pound-2.8-patrodyne/srpm-builds/01144167/Pound-2.8-1.el8.src.rpm
Description: 

Hi Robert-André, thanks for your feedback.
I've updated the spec file with your corrections and ran another build.

The diff can be seen here[1].

- Breno
1 - https://src.fedoraproject.org/fork/brandfbb/rpms/Pound/c/b63a0a0f789e1e3b51b3e1fd651455e923bc432f?branch=epel8

Fedora Account System Username:brandfbb

Comment 4 Robert-André Mauchin 🐧 2020-01-22 01:59:32 UTC
LGTM, package approved.

Comment 5 Breno 2021-03-30 12:52:39 UTC
This request has been attended a long time ago. Closing the ticket.


Note You need to log in before you can comment on or make changes to this bug.